CasesCreate a case against a specific user

Create a case against a specific user

curl -X POST "https://www.my-site.com/api/site/v2/forms/1/cases/create" \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-site-id: YOUR_API_KEY" \
  -d '{
  "userID": "example_string"
}'
{}
POST
/forms/{form}/cases/create
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: x-api-key)
x-api-keystring
Required

Your Siteglide API key

Your Siteglide API key
API Key (header: x-site-id)
x-site-idstring
Required

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)
path
formstring
Required

The ID of your form

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
x-api-keystring
Required

API Key for authentication. Your Siteglide API key

header
x-site-idstring
Required

API Key for authentication. The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

Path Parameters

formstring
Required

The ID of your form

Example:
1

Body

application/json

Responses

OK